/***************************************************************************
 *   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
 ***************************************************************************/
/** @file
 * This file is Skrooge plugin for for XXX import / export.
 *
 * @author Stephane MANKOWSKI / Guillaume DE BURE
 */
#include "skgimportpluginxxx.h"
#include "skgtraces.h"

#include <klocale.h>

#include <qfileinfo.h>

/**
 * This plugin factory.
 */
K_PLUGIN_FACTORY(SKGImportPluginXXXFactory, registerPlugin<SKGImportPluginXXX>();)
/**
 * This plugin export.
 */
K_EXPORT_PLUGIN(SKGImportPluginXXXFactory("skrooge_import_xxx", "skrooge_import_xxx"))

SKGImportPluginXXX::SKGImportPluginXXX(QObject* iImporter, const QVariantList& iArg)
    : SKGImportPlugin(iImporter)
{
    SKGTRACEIN(10, "SKGImportPluginXXX::SKGImportPluginXXX");
    Q_UNUSED(iArg);
}

SKGImportPluginXXX::~SKGImportPluginXXX()
{
}

bool SKGImportPluginXXX::isImportPossible()
{
    SKGTRACEIN(10, "SKGImportPluginXXX::isImportPossible");
    return (!m_importer ? true : QFileInfo(m_importer->getFileName()).suffix().toUpper() == "XXX");
}

SKGError SKGImportPluginXXX::importFile()
{
    return SKGImportPlugin::importFile();
}

bool SKGImportPluginXXX::isExportPossible()
{
    SKGTRACEIN(10, "SKGImportPluginCsv::isExportPossible");
    return isImportPossible();
}

SKGError SKGImportPluginXXX::exportFile()
{
    return SKGImportPlugin::exportFile();
}

QString SKGImportPluginXXX::getMimeTypeFilter() const
{
    return "*.xxx|" % i18nc("A file format", "XXX file");
}

#include "skgimportpluginxxx.moc"
